#
# spec file for package release-notes-sles (Version 10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           release-notes-sles
License:        GPL
Group:          Documentation/SuSE
Summary:        A Short Description of the Most Important Changes for This SUSE Linux Enterprise Server Release
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       release-notes
Obsoletes:      release-notes
Version:        10
Release:        43.24
Source:         release-notes.tar.bz2
Source10:       release-notes.desktop
Source20:       arch-symbols
Source30:       guards
Source40:       release-notes.conf
Source60:       README
# %define xyzzy_langs en de cs it fr ja hu
%define xyzzy_langs en

%description
This package contains files with the most important changes for this
SUSE Linux Enterprise Server release.  They can be found below the
/usr/share/doc/release-notes directory.



%debug_package
%prep
%setup -n release-notes -q

%build
pwd
#
#	Get the filelist
#
$RPM_SOURCE_DIR/guards $($RPM_SOURCE_DIR/arch-symbols) < $RPM_SOURCE_DIR/release-notes.conf > liste
#
#	do it for every language
#
for language in %{xyzzy_langs} ; do
	cd $language
#
#	Append the creation date to the footer
#
	echo "<P><TT>$(date)</TT></P>" >> relnotes.footer
#
#	Make sure all the release note files are proper UTF-8.
#
	for file in relnotes.* ; do
	    if ! iconv -f utf-8 -t utf-8 $file > /dev/null; then
		echo "File $file does not appear to be UTF-8 encoded."
		exit 1
	    fi
	done
	cat `cat ../liste` > ../RELEASE-NOTES.$language.rtf
	cd ..
done

%install
rnpath="${RPM_BUILD_ROOT}"/usr/share/doc/release-notes/SUSE_Linux_Enterprise_Server_10
mkdir -p "$rnpath"
for i in  %{xyzzy_langs} ; do
   install -m 0644 RELEASE-NOTES.$i.rtf "$rnpath"/RELEASE-NOTES.$i.rtf
   cat RELEASE-NOTES.$i.rtf > "$rnpath/RELEASE-NOTES.${i%.rtf}.html"
done
if test ! -f $rnpath/RELEASE-NOTES.sk.html && test -f $rnpath/RELEASE-NOTES.cs.html; then
  ln -s RELEASE-NOTES.cs.html $rnpath/RELEASE-NOTES.sk.html
  ln -s RELEASE-NOTES.cs.rtf $rnpath/RELEASE-NOTES.sk.rtf
fi
mkdir -p $RPM_BUILD_ROOT/usr/share/susehelp/meta
cp -v $RPM_SOURCE_DIR/release-notes.desktop $RPM_BUILD_ROOT/usr/share/susehelp/meta

%files
/usr/share/susehelp
/usr/share/susehelp/meta/release-notes.desktop
%doc /usr/share/doc/release-notes

%changelog -n release-notes-sles
* Wed Jul 05 2006 - ihno@suse.de
- Added snipped about xen for i386 and x86_64 (mail from bb)
- Added snippes about hot-add memory for i386 and x86_64 (#186862)
- Added snipped about unsupported OCFS2 on s390 (#159836)
- Adding corrections
* Mon Jul 03 2006 - ihno@suse.de
- Added snipped about LVM Names for root (#184567)
* Wed Jun 21 2006 - ihno@suse.de
- Added snipped about scheduler tuning (#176738)
* Tue Jun 20 2006 - kukuk@suse.de
- Fix duplicates in cryptoloop. [#186572]
* Mon Jun 19 2006 - ihno@suse.de
- Adding snipped with link to developerworks
* Fri Jun 16 2006 - kukuk@suse.de
- Document iSCSI and SAN issues
* Tue Jun 13 2006 - ihno@suse.de
- adding snipped about preventing of loading from drivers (#160304)
* Thu Jun 01 2006 - ihno@suse.de
- corrected scheduler snipped on how to set scheduler
- adding s390 specific snipped on scheduler
- adding snipped about white spaces in parmfiles (#176095)
- adding snipped about the restriction when using cpint/hcp (#81839)
- adding snipped about libhugetlbfs (#142046)
- adding snipped about using persistent devices names (#148931)
- adding snipped about EVMS and iSCSI apon request of Todd Grant
* Sun May 21 2006 - ihno@suse.de
- Modify ctc_iucv snipped from Interfaces to IP interfaces.
- Added snipped about use_edd signature (#82867)
* Fri May 19 2006 - kukuk@suse.de
- Really remove jfs for ia64
* Wed May 17 2006 - kukuk@suse.de
- Document mount by UUID/LABEL [#176201]
* Tue May 16 2006 - kukuk@suse.de
- Document multipath with dm and on /
* Tue May 09 2006 - kukuk@suse.de
- Fix typo in update part
- Add ulimit section
* Mon May 08 2006 - kukuk@suse.de
- Fix typo in scheduler part [#172502]
* Mon May 08 2006 - kukuk@suse.de
- No jfs on IA64 at all
* Wed May 03 2006 - kukuk@suse.de
- Fix conf error
* Tue May 02 2006 - kukuk@suse.de
- Remove Beta Tag
* Thu Apr 27 2006 - kukuk@suse.de
- Add snipped about vsftpd and xinetd [#169517]
* Wed Apr 26 2006 - ihno@suse.de
- Adding snipped about supported Update-paths
* Wed Apr 26 2006 - ihno@suse.de
- removed PCMCIA-snipped for S390
- extended AppArmor snipped.
- added snipped about I/O-scheduler (#168244)
- added snipped about withiscsi-parameter (#167975)
* Wed Apr 12 2006 - kukuk@suse.de
- For Beta10
* Fri Apr 07 2006 - ihno@suse.de
- Adding snipped about deprecatet mapped-base
- Adding snipped about deprecatet s390 ctc/escon/iucv interfaces
* Mon Mar 27 2006 - ro@suse.de
- fix release-notes.conf
* Fri Mar 24 2006 - ihno@suse.de
- Adding two snippets about need z/VM-patches
* Tue Mar 14 2006 - kukuk@suse.de
- Fix product name in all places
* Fri Mar 10 2006 - kukuk@suse.de
- Remove text about kernel debug options
- Prepare for Beta8
* Mon Mar 06 2006 - kukuk@suse.de
- Prepare for Beta7
* Mon Feb 27 2006 - kukuk@suse.de
- Beta6
- Add URL for php4->php5 migration
* Fri Feb 17 2006 - kukuk@suse.de
- Remove obsolete sync comments
- Beta5
* Wed Feb 15 2006 - kukuk@suse.de
- For Beta4
* Tue Feb 14 2006 - kukuk@suse.de
- Document console number change on ia64 [#149700]
* Thu Feb 09 2006 - kukuk@suse.de
- Add hint about LD_ASSUME_KERNEL
* Mon Jan 30 2006 - kukuk@suse.de
- Remove hack, we need to fix YaST2 now.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - kukuk@suse.de
- Add Hack for YaST2 to display release-notes in Beta2
* Tue Jan 24 2006 - kukuk@suse.de
- Add hints about KDB
* Mon Jan 23 2006 - kukuk@suse.de
- Add hint about kernel debug options enabled
- Add Beta2
* Thu Jan 19 2006 - kukuk@suse.de
- Fix path to AppAmor documentation
- Move docu to SLES subdirectory
* Tue Jan 17 2006 - kukuk@suse.de
- Provide/Obsolete release-notes
* Mon Jan 16 2006 - kukuk@suse.de
- Initial version for SLES10 Beta1
